<?php  
include_once("../scripts/connect.php");
               include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
    header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session

  $conexion=conecta_default();
  $id_cd=$sesion->id;
  $ok=0;
  extract($_POST);
  
  if($pedido==0){
	  $qp8 = "select idtransacciones from transacciones where usuarios_ci_idusuarios_ci=$cd and consec=$consec";
   $cp8 = mysql_query($qp8) or die ('Error (Registro No Encontrado111): ' . mysql_error());
$rp8 = mysql_fetch_object($cp8);	
	$pedido = $rp8->idtransacciones; 
	  
	  
	  
	  
  }
  
$qp4 = "select usuarios_ci_idusuarios_ci as elvta, consec, horat, fechat, cdentrega, statusentrega, tipostr_idtipostr from transacciones where idtransacciones=$pedido";
   $cp4 = mysql_query($qp4) or die ('Error (Registro No Encontrado): ' . mysql_error());
$rp4 = mysql_fetch_object($cp4);	
	$elvta = $rp4->elvta;
	$consec = $rp4->consec;		
	$lahora = $rp4->horat;	
	$eldia = $rp4->fechat;
	$entrega = $rp4->cdentrega;	
	$status = $rp4->statusentrega;
	$tiponota = $rp4->tipostr_idtipostr;  
  

$qp42 = "select cantidad, puntos, efectivo, deposito, tarjeta, regalias, voucher, porpagar, inversionista_id_inver, tipostr_idtipostr from transacciones join depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones join pagovta on transacciones.idtransacciones=pagovta.idtransacciones where transacciones.idtransacciones=$pedido";
   $cp42 = mysql_query($qp42) or die ('Error (Registro No Encontrado): ' . mysql_error());
$rp42 = mysql_fetch_object($cp42);	
	$pagado = $rp42->cantidad;
	$puntos = $rp42->puntos;		
	$efectivo = $rp42->efectivo;	
	$deposito = $rp42->deposito;
	$regalias = $rp42->regalias;	
	$voucher = $rp42->voucher;		
	$tarjeta = $rp42->tarjeta;	
	$porpagar = $rp42->porpagar;	
	$id_inv = $rp42->inversionista_id_inver;
	$tipon = $rp42->tipostr_idtipostr;
	
if($porpagar==0){
	echo"<br><br><BR><center><font color=\"#000099\" size=\"+2\"><b>Abono a Pedido</b></font><br><br>Este pedido no cuenta con saldo pendiente ";
}
else{

echo "<center><br><font color=\"#000099\" size=\"+2\"><b>Abono a Pedido</b></font><br><br>
Realizado el d&iacute;a $lafecha $eldia a las $lahora<br>
<table  border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
<tr align=\"center\" bgcolor=\"#594106\">
<td><font color=\"#FFFFFF\"><b>No. Pedido $elvta"."-"."$consec</b></font></td>
<td><font color=\"#FFFFFF\"><b> Transacci&oacute;n $pedido </b></font></td>
</tr>
</table>
<br>";
if($tipon==6){
	
			$qDG="SELECT nombrec, concepto, autoriza FROM otrasal WHERE idtransacciones = '".$pedido."'";
  			$cDG = mysql_query($qDG) or die ('Error (Obtencion DG.): ' . mysql_error());
  			while($rDG = mysql_fetch_row($cDG))
		   	{
		    	$nombrec = $rDG[0];
		    	$concepto = $rDG[1];
		    	$autoriza = $rDG[2];
		    	
		   	};
	echo"Nombre: <b>$nombrec</b><br>concepto: <b>$concepto</b><br>Autoriz&oacute;: <b>$autoriza</b>";
	
}else{

			$qDG="SELECT rfc, idprom, nombre, appat, apmat, domicilio, cp, ciudad, tel1 FROM inversionista WHERE id_inver = '".$id_inv."'";
  			$cDG = mysql_query($qDG) or die ('Error (Obtencion DG.): ' . mysql_error());
  			while($rDG = mysql_fetch_row($cDG))
		   	{
		    	$dg_rfc = $rDG[0];
		    	$dg_rfcP = $rDG[1];
		    	$dg_nom = $rDG[2];
		    	$dg_apP = $rDG[3];
		    	$dg_apM = $rDG[4];
				$dg_dom = $rDG[5];
				$dg_cp = $rDG[6];
				$dg_ciudad = $rDG[7];
				$dg_tel = $rDG[8];
		   	};


echo"Nombre: $dg_nom $dg_apP $dg_apM <b> $dg_rfc</b>";

}


echo"<br><br>Descripci&oacute;n del pago:<br>

<table border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
<th>Cantidad</th><th>Puntos</th><th>EF</th><th>DE</th><th>TA</th><th>RE</th><th>VO</th><th>PP</th>
<tr align=\"center\"><td>$ $pagado</td><td>$puntos</td><td>$ $efectivo</td><td>$ $deposito</td><td>$ $tarjeta</td><td>$regalias</td><td>$voucher</td><td>$porpagar</td></tr></table>
<br><br><font color=\"red\" size=\"+1\"><b>Cantidad por pagar $ $porpagar</b></font>
<br><br>
<form name=\"busca\" action=\"abono_cta3.php\" method=\"post\">Cantidad a Abonar: $<input type=\"text\" size=\"5\" maxlength=\"10\" name=\"apagar\" value=\"$porpagar\">
";


		
		//seleccionar formas de pago
		echo "<b>Forma de pago:<br> </b><bR><table cellpadding=\"8\"  >";
		
		//Pago en efectivo
		echo"<tr bgcolor=\"#e8d78d\">
		<td><input type='radio' name='pago' value='1' CHECKED><b>Efectivo</b></td><td><img src=\"efect.gif\" width=\"200\" height=\"35\"></td>
		<td></td></tr>";
		
		//Pago con deposito en banco
		echo"<tr bgcolor=\"#e8d78d\"><td><input type='radio' name='pago' value='2'><b>Deposito</b></td><td><img src=\"depositos.gif\" width=\"200\" height=\"35\"></td>
		<td>";
		  $q2 = "SELECT * from bancos  WHERE 1 ";
  
  $c2 = mysql_query($q2) or die ('Error en la consulta' . mysql_error());
  echo"<center><br>Banco: <select name = \"banco\">";
  for($i=0;$r1 = mysql_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];  
	  
echo"<option value=\"$a0\">$a1 $a2</option>";
	}

		
		echo"
				<option value=\"0\">Otro</option>
			</select>&nbsp; Ref: <input type=\"text\" name=folio size=\"8\" ></td></tr>
		<tr bgcolor=\"#e8d78d\"><td><input type='radio' name='pago' value='3'><b>Tarjeta</b></td><td><img src=\"tarjetas.gif\" width=\"200\" height=\"35\"></td
		><td></td></tr>
		"; 
		//pago con regalias (solo si se tienen por pagar)
		echo"<tr bgcolor=\"#e8d78d\"><td><input type='radio' name='pago' value='5' ><b>Regalias</b></td><td><img src=\"regspago.gif\" width=\"200\" height=\"35\"></td><td>Regalia No.<input type='text' size='10' maxlength='10' name='regs' value=''></td>";
		echo"</td></tr>";
		
		//pago con voucher
		echo"<tr bgcolor=\"#e8d78d\"><td><input type='radio' name='pago' value='6'><b>Voucher</b></td><td><img src=\"voucherpago.gif\" width=\"200\" height=\"35\"></td>
		<td>Voucher No.<input type='text' size='10' maxlength='10' name='voucher' value=''></td></tr>";
		
		//pago pendiente por pagar
		echo"
		</table><br>";
   echo "<input type='hidden' name='trans' value='$pedido'>
		<input type='hidden' name='pendiente' value='$porpagar'>";
      
		echo "<input type='submit' value='Continuar'>";
		
		echo "";
  		echo "</form>";




if ($tiponota==11){
echo "<br><br><center><b><font size=\"+3\">Asignaciones</b></font>"; 	
			
			
	 $qd1 = "select transacciones.idtransacciones, nombre, appat, apmat, observaciones, fechat from transacciones join asignaciones on transacciones.idtransacciones=
	 asignaciones.idtransacciones join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver where nsalida=".$pedido."";

	  $cd1 = mysql_query($qd1) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysql_error());
	 

	   echo "
		
			
			
			<TABLE CellPadding=5 >
			<TR bgcolor=\"#ccdbfc\">";
				echo "
				<th>Pedido</th>
				<th>Nombre</th>
				<th>Cantidad</th>
				<th>Fecha</th><th></th>
			</TR>";
			
		
			while($renglon = mysql_fetch_row($cd1))
			{
				echo"<form name=\"busca\" action=\"infoasig.php\" method=\"post\" target=\"_blank\"><input type=hidden name=ped value=$renglon[0] /><tr bgcolor=\"#e2ecff\">";
				echo "<td>".$renglon[0]."</td>";
				echo "<td>".$renglon[1]." ".$renglon[2]." ".$renglon[3]."</td>";
				echo "<td>"."$".$renglon[4]."</td>";
				echo "<td>".$renglon[5]."</td>";
				echo"<td>
<input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"Ver mas\" /></td>";
				
			
			
			
							
				echo"</tr>";}
					
			echo "</table><br> 
				
			<br>";

}

  }//saldo pendiente
  
  ?>